Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356589 - [GSS](6.4.z) XAR should be scanned more frequently for prepared transactions
Summary: [GSS](6.4.z) XAR should be scanned more frequently for prepared transactions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.4.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.11
Assignee: Radovan STANCEL
QA Contact: Ondrej Chaloupka
URL:
Whiteboard:
Depends On:
Blocks: 1360648 eap6411-payload 1366320
TreeView+ depends on / blocked
 
Reported: 2016-07-14 12:34 UTC by Tom Ross
Modified: 2017-01-17 13:15 UTC (History)
7 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1360648 (view as bug list)
Environment:
Last Closed: 2017-01-17 13:14:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2614 Major Resolved JCA TransactionImporter should be thread safe 2017-11-09 16:37:09 UTC
JBoss Issue Tracker JBTM-2708 Major Closed Test does not close FileInputStream 2017-11-09 16:37:09 UTC
JBoss Issue Tracker JBTM-2709 Major Closed ObjectStoreBrowser cannot cope with JDBC store on Windows 2017-11-09 16:37:09 UTC

Description Tom Ross 2016-07-14 12:34:01 UTC
Under heavy load it is possible that XAR is not scanned and as a result a prepared transaction is not included in the list and subsequent commit will fail.
The following signature can be observed in the log file:
2016-06-28 12:18:33,068 TRACE [com.arjuna.ats.jta] (EJB default - 98) XAResourceRecord.topLevelCommit for XAResourceRecord < resource:null, txid:< formatId=131077, gtrid_length=40, bqual_length=48, tx_uid=0:ffff0af7f615:19718dac:576e895c:d7da9, node_name=svc_1_cmserv, branch_uid=0:ffff0af7f663:ba85fe7:57714e42:7058f2, subordinatenodename=svc_2_mscmce, eis_name=java:/eis/custom-ra >, heuristic: TwoPhaseOutcome.FINISH_OK, product: com/ecim/1.0, jndiName: java:/eis/custom-ra com.arjuna.ats.internal.jta.resources.arjunacore.XAResourceRecord@64fa6d0e >, record id=0:ffff0af7f663:ba85fe7:57714e42:7058f3
2016-06-28 12:18:33,068 WARN  [com.arjuna.ats.jta] (EJB default - 98) ARJUNA016038: No XAResource to recover < formatId=131077, gtrid_length=40, bqual_length=48, tx_uid=0:ffff0af7f615:19718dac:576e895c:d7da9, node_name=svc_1_cmserv, branch_uid=0:ffff0af7f663:ba85fe7:57714e42:7058f2, subordinatenodename=svc_2_mscmce, eis_name=java:/eis/custom-ra >
2016-06-28 12:18:33,069 TRACE [com.arjuna.ats.arjuna] (EJB default - 98) BasicAction.doCommit for 0:ffff0af7f663:ba85fe7:57714e42:705303 received TwoPhaseOutcome.FINISH_ERROR from class com.arjuna.ats.internal.jta.resources.arjunacore.XAResourceRecord
2016-06-28 12:18:33,069 TRACE [com.arjuna.ats.arjuna] (EJB default - 98) RecordList::insert(RecordList: empty) : appending /StateManager/AbstractRecord/XAResourceRecord for 0:ffff0af7f663:ba85fe7:57714e42:7058f3

Comment 4 Jiří Bílek 2016-10-04 07:51:55 UTC
Verified with EAP 6.4.11.CP.CR1

Comment 5 Petr Penicka 2017-01-17 13:14:18 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Comment 6 Petr Penicka 2017-01-17 13:15:29 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.